# Created by pyp2rpm-3.3.5
%global pypi_name pydroid-ipcam

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        1%{?dist}
Summary:        Python library for handling Android IP Webcam app

License:        ASL 2.0
URL:            https://github.com/home-assistant-libs/pydroid-ipcam
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A Python library for handling the Android IP Webcam app.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python library for handling the Android IP Webcam app.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/pydroid_ipcam/
%{python3_sitelib}/pydroid_ipcam-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Dec 01 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.0-1
- Initial package.
